<?php

declare(strict_types=1);

namespace App\Framework\Process;

use App\Framework\DI\Initializer;
use App\Framework\Logging\Logger;

/**
 * Initialisiert das Process System im DI Container.
 */
final readonly class ProcessInitializer
{
    public function __construct(
        private Logger $logger
    ) {
    }

    #[Initializer]
    public function __invoke(): Process
    {
        return new SystemProcess(
            logger: $this->logger
        );
    }
}
